petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMStagMigrateVec

transfer a vector associated with a DMStag to a vector associated with a compatible DMStag

### Synopsis

    PetscErrorCode DMStagMigrateVec(DM dm,Vec vec,DM dmTo,Vec vecTo)

Collective

### Input Parameters

| dm | - the source DMStag object
| vec | - the source vector, compatible with dm
| dmTo | - the compatible destination DMStag object
| vecTo | - the destination vector, compatible with dmTo

### Notes

Extra dof are ignored, and unfilled dof are zeroed. Currently only implemented to migrate global vectors to global vectors.

### See Also

DMSTAG, DMStagCreateCompatibleDMStag(), DMGetCompatibility(), DMStagVecSplitToDMDA()

### Level

advanced

### Location

src/dm/impls/stag/stagutils.c
Index of all DMSTAG routines
Table of Contents for all manual pages
Index of all manual pages